<!doctype html>
<html>
<head>
    <title>Animated Stick Figure</title>
    <style>
        html, body {
          width:  100%;
          height: 100%;
          margin: 0px;
        }
    </style>
    <script>
    	var flag=true;
        function drawMan(){
            var w = window.innerWidth;
            var h = window.innerHeight;
            var canvas = document.getElementById('Canvas1');
            if(canvas.getContext){
                context = canvas.getContext("2d");
                with(canvas){
                    setAttribute("width", w - 6);
                    setAttribute("height", h - 6);
                }
                with(context){
                    strokeStyle = "#000000";
                    lineWidth = "5";
              
              		beginPath();	//erase old stick figure
                    
                    //moveTo(w/2+h/10,h/2);	//draw clean figure
                    
                    //Draw head and body
                    arc(w/2, h/2, h/10, 0, Math.PI*2, true);
                    moveTo(w/2,  h/2+(h/10));
                    lineTo(w/2, h-(h/5));

                    //Draw Legs
                    moveTo(w/2, h-(h/5));
                    lineTo(w/2+(h/20), h-(h/50)-30);
                    moveTo(w/2, h-(h/5));
                    lineTo(w/2-(h/20), h-(h/50)-30);
                   
                    //Draw Arms
                    if(flag)
                    {
                    	moveTo(w/2-h/10, (h/2+(h/20) +  h-(h/4))/2);
                    	lineTo(w/2+h/10, (h/2+(h/20) +  h-(h/4))/2);
                    	flag=false;
                    }
                    else
                    {
                        moveTo(w/2-h/10, (h/2+(h/20) +  h-(h/4))/2 + (h/15));
                    	lineTo(w/2, (h/2+(h/20) +  h-(h/4))/2);
                    	moveTo(w/2+h/10, (h/2+(h/20) +  h-(h/4))/2 + (h/15));
                    	lineTo(w/2, (h/2+(h/20) +  h-(h/4))/2);
	                    flag=true;
                    }
                    
					fill();			//fills head of stick figure
                    stroke();		//draws stick figure
				}
            }
        }
       
        window.onresize = function() {
            drawMan();
        }
        window.onclick = function() {
            drawMan();
        }     
    </script>       
</head>
<body>
    <canvas id='Canvas1'></canvas>
    <script>
        drawMan();
    </script>
</body>
</html>

